MCP Tools Reference: dataplex.googleapis.com

Tool: list_data_products

List Data Products in a particular project.

The following sample demonstrate how to use curl to invoke the list_data_products MCP tool.

Curl Request
                  
curl --location 'https://dataplex.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_data_products",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for DataProductService.ListDataProducts method.

ListDataProductsRequest

JSON representation
{
  "projectId": string,
  "location": string,
  "pageSize": integer,
  "filter": string
}
Fields
projectId

string

Required. The project ID to which the request should be attributed.

location

string

Required. The location of the project.

pageSize

integer

Optional. The maximum number of data products to return. The service may return fewer than this value. If unspecified, at most 50 data products will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

filter

string

Optional. The filter expression used to filter the list of data products.

Examples: * display_name = "Sales Analytics" * labels.env = "prod"

Output Schema

Response message for DataProductService.ListDataProducts method.

ListDataProductsResponse

JSON representation
{
  "dataProducts": [
    {
      object (DataProduct)
    }
  ]
}
Fields
dataProducts[]

object (DataProduct)

The list of data products that match the list request.

DataProduct

JSON representation
{
  "name": string,
  "displayName": string,
  "assetCount": integer,
  "ownerEmails": [
    string
  ]
}
Fields
name

string

Identifier. Resource name of the data product. Format: projects/{project_id_or_number}/locations/{location_id}/dataProducts/{data_product_id}.

displayName

string

Required. User-friendly display name of the data product.

assetCount

integer

Number of data assets associated with this data product.

ownerEmails[]

string

Required. Emails of the data product owners.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌